summaryrefslogtreecommitdiffstats
path: root/office/wps-office/wps-office.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/wps-office/wps-office.SlackBuild')
-rw-r--r--office/wps-office/wps-office.SlackBuild60
1 files changed, 26 insertions, 34 deletions
diff --git a/office/wps-office/wps-office.SlackBuild b/office/wps-office/wps-office.SlackBuild
index bd007aa160..2debdcc9d9 100644
--- a/office/wps-office/wps-office.SlackBuild
+++ b/office/wps-office/wps-office.SlackBuild
@@ -23,61 +23,53 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wps-office
-VERSION=${VERSION:-10.1.0.6758}
+VERSION=${VERSION:-11.1.0.9126.XA}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-ARCH=${ARCH:-$(uname -m)}
-case "$ARCH" in
- i?86) ARCH=i586; SRCARCH=x86 ;;
- x86_64) SRCARCH=x86_64 ;;
- *) echo "$ARCH is not supported"; exit 1 ;;
-esac
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=x86_64 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRCVER=${VERSION}
+
+case "$ARCH" in
+ i?86) SRCARCH=i386 ;;
+ x86_64) SRCARCH=amd64 ;;
+ *) printf "\n\n$ARCH is not supported.\n"; exit 1 ;;
+esac
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-
-SRCNAM=wps-office
-SRCVER=_10.1.0.6758_$SRCARCH
-DESTDIR=$PKG/opt/kingsoft
-
-mkdir -p $DESTDIR/$PRGNAM
cd $TMP
-tar xJvf $CWD/$PRGNAM$SRCVER.tar.xz
-chown -R root:root $PRGNAM$SRCVER
-find -L $PRGNAM$SRCVER \
+rm -rf $PRGNAM
+mkdir -p $PRGNAM
+cd $PRGNAM
+ar -x $CWD/${PRGNAM}_${SRCVER}_${SRCARCH}.deb
+tar xvf data.tar.xz -C $PKG
+cd $PKG
+chown -R root:root .
+find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-mkdir -p $PKG/usr/bin/
-install -D -m 0755 $PRGNAM$SRCVER/wps $PKG/usr/bin/wps
-install -D -m 0755 $PRGNAM$SRCVER/wpp $PKG/usr/bin/wpp
-install -D -m 0755 $PRGNAM$SRCVER/et $PKG/usr/bin/et
-
-mkdir -p $PKG/usr/share/applications
-mv $PRGNAM$SRCVER/resource/applications/* $PKG/usr/share/applications
-
-mkdir -p $PKG/usr/share/icons
-mv $PRGNAM$SRCVER/resource/icons/* $PKG/usr/share/icons
-
-mkdir -p $PKG/usr/share/mime
-mv $PRGNAM$SRCVER/resource/mime/* $PKG/usr/share/mime
-
-mkdir -p $PKG/usr/share/licenses/$PRGNAM-$VERSION
-install -D -m 0644 $PRGNAM$SRCVER/office6/mui/default/EULA.txt $PKG/usr/share/licenses/$PRGNAM-$VERSION/EULA.txt
-mv $PRGNAM$SRCVER/office6 $DESTDIR/$PRGNAM
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PRGNAM$SRCVER/README.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install